# Signed off by Michael 'Mickey' Lauer <mickey@Vanille.de>
--- nunome/dicman/nnmDicman.cpp~nunome.patch
+++ nunome/dicman/nnmDicman.cpp
@@ -1,75 +1,4 @@
-/* 
-   $Id: nnmDicman.cpp,v 1.1.1.1 2005/06/29 22:24:22 leggewie Exp $
-
-   Copyright (C) 2001-2002 AXE,Inc. <sg@axe-inc.co.jp>
-
-   This file is part of Nunome-Qtopia.
-
-   Nunome-Qtopia is free software; you can redistribute it and/or modify it
-   under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   Nunome-Qtopia is distributed in the hope that it will be useful, but
-   WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with Nunome; see the file COPYING.   If not, write to
-   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */
-
-/* Dictinary maintenance tool */
-
-#include	<qpeapplication.h>
-#include	<qlabel.h>
-#include	<qpainter.h>
-#include	<qpixmap.h>
-#include	<qwidget.h>
-#include	<qlayout.h>
-#include	<qpushbutton.h>
-#include	<qlineedit.h>
-
-#include	<stdio.h>
-#include	<stdlib.h>
-#include	<unistd.h>
-#include	<sys/types.h>
-#include	<signal.h>
-
-extern "C" {
-#include	"Nnm.h"
-#include	"NnmFeature.h"
-#include	"nnmStub.h"
-#include	"NnmProto.h"
-}
-#include	"nnmCanvas.h"
-
-class uiWidget : public QWidget
-{
-Q_OBJECT
-
-public:
-	uiWidget( QWidget *parent = 0, const char *name = 0, WFlags f=0 );
-
-	int		serverPID;
-	char		*dictionaryPath;
-
-private slots:
-	void	regist( void );
-	void	clear( void );
-	void	quit( void );
-
-	void	format( const QString & );
-
-private:
-	nnmCanvas	*canvas;
-	QLineEdit	*input;
-	ulong		code;
-
-	void		updateDictionary( void );
-};
-
-#include	"moc_nnmDicman.cpp"
+#include "nnmDicman.h"
 
 uiWidget::uiWidget( QWidget *parent, const char *name, WFlags f )
 			: QWidget( parent, name, f )
--- nunome/ui/nunome.cpp~nunome.patch
+++ nunome/ui/nunome.cpp
@@ -22,7 +22,7 @@
 
 /* Nunome input-method */
 
-#include	<qpeapplication.h>
+#include	<qpe/qpeapplication.h>
 #include	<qpainter.h>
 #include	<qpixmap.h>
 #include	<qwidget.h>
--- nunome/ui/nunome.h~nunome.patch
+++ nunome/ui/nunome.h
@@ -32,14 +32,14 @@
 #include	"nnmSelect.h"
 #include	"nnmSymbol.h"
 
-#define	PARAMETER_FILE_PATH		"/usr/local/share/nunome/.nunome"
+#define	PARAMETER_FILE_PATH		"/opt/QtPalmtop/share/nunome/.nunome"
 
-#define	DEFAULT_SYSTEM_DICTIONARY	"/usr/local/share/nunome/nunome_uni.dic"
-#define	DEFAULT_USER_DICTIONARY		"/usr/local/share/nunome/user.dic"
+#define	DEFAULT_SYSTEM_DICTIONARY	"/opt/QtPalmtop/share/nunome/nunome_uni.dic"
+#define	DEFAULT_USER_DICTIONARY		"/opt/QtPalmtop/share/nunome/user.dic"
 #define	DEFAULT_TIMEOUT_MSEC		500
 #define	DEFAULT_LEARN_FLAG		true
-#define	DEFAULT_SERVER_PROGRAM_PATH	"/usr/local/share/nunome/nnmsrv"
-#define	DEFAULT_LEARN_PROGRAM_PATH	"/usr/local/share/nunome/nnmDicman"
+#define	DEFAULT_SERVER_PROGRAM_PATH	"/opt/QtPalmtop/bin/nnmsrv"
+#define	DEFAULT_LEARN_PROGRAM_PATH	"/opt/QtPalmtop/bin/nnmDicman"
 
 class	nnmParameter
 {
--- nunome/ui/nunomeImpl.h~nunome.patch
+++ nunome/ui/nunomeImpl.h
@@ -23,7 +23,7 @@
 #ifndef	NUNOMEIMPL_H
 #define	NUNOMEIMPL_H
 
-#include	<inputmethodinterface.h>
+#include	<qpe/inputmethodinterface.h>
 
 class	Nunome;
 class	QPixmap;
--- /dev/null
+++ nunome/dicman/nnmDicman.h
@@ -0,0 +1,70 @@
+/* 
+   $Id: nnmDicman.cpp,v 1.1.1.1 2005/06/29 22:24:22 leggewie Exp $
+
+   Copyright (C) 2001-2002 AXE,Inc. <sg@axe-inc.co.jp>
+
+   This file is part of Nunome-Qtopia.
+
+   Nunome-Qtopia is free software; you can redistribute it and/or modify it
+   under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   Nunome-Qtopia is distributed in the hope that it will be useful, but
+   WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with Nunome; see the file COPYING.   If not, write to
+   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */
+
+/* Dictinary maintenance tool */
+
+#include	<qpe/qpeapplication.h>
+#include	<qlabel.h>
+#include	<qpainter.h>
+#include	<qpixmap.h>
+#include	<qwidget.h>
+#include	<qlayout.h>
+#include	<qpushbutton.h>
+#include	<qlineedit.h>
+
+#include	<stdio.h>
+#include	<stdlib.h>
+#include	<unistd.h>
+#include	<sys/types.h>
+#include	<signal.h>
+
+extern "C" {
+#include	"Nnm.h"
+#include	"NnmFeature.h"
+#include	"nnmStub.h"
+#include	"NnmProto.h"
+}
+#include	"nnmCanvas.h"
+
+class uiWidget : public QWidget
+{
+Q_OBJECT
+
+public:
+	uiWidget( QWidget *parent = 0, const char *name = 0, WFlags f=0 );
+
+	int		serverPID;
+	char		*dictionaryPath;
+
+private slots:
+	void	regist( void );
+	void	clear( void );
+	void	quit( void );
+
+	void	format( const QString & );
+
+private:
+	nnmCanvas	*canvas;
+	QLineEdit	*input;
+	ulong		code;
+
+	void		updateDictionary( void );
+};
